Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobSimpleTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobTrigger
          com.jaspersoft.jasperserver.ws.scheduling.JobSimpleTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class JobSimpleTrigger

extends JobTrigger
implements java.io.Serializable

JobSimpleTrigger.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobSimpleTrigger()`
`JobSimpleTrigger(long id, int version, java.lang.String timezone, java.util.Calendar startDate, java.util.Calendar endDate, int occurrenceCount, java.lang.Integer recurrenceInterval, IntervalUnit recurrenceIntervalUnit)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getOccurrenceCount()` Gets the occurrenceCount value for this JobSimpleTrigger.
`java.lang.Integer` | `getRecurrenceInterval()` Gets the recurrenceInterval value for this JobSimpleTrigger.
`IntervalUnit` | `getRecurrenceIntervalUnit()` Gets the recurrenceIntervalUnit value for this JobSimpleTrigger.
`int` | `hashCode()`
`void` | `setOccurrenceCount(int occurrenceCount)` Sets the occurrenceCount value for this JobSimpleTrigger.
`void` | `setRecurrenceInterval(java.lang.Integer recurrenceInterval)` Sets the recurrenceInterval value for this JobSimpleTrigger.
`void` | `setRecurrenceIntervalUnit(IntervalUnit recurrenceIntervalUnit)` Sets the recurrenceIntervalUnit value for this JobSimpleTrigger.

Methods inherited from class com.jaspersoft.jasperserver.ws.scheduling.JobTrigger
`getEndDate, getId, getStartDate, getTimezone, getVersion, setEndDate, setId, setStartDate, setTimezone, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSimpleTrigger

    public JobSimpleTrigger()

### JobSimpleTrigger

    public JobSimpleTrigger(long id,
                            int version,
                            java.lang.String timezone,
                            java.util.Calendar startDate,
                            java.util.Calendar endDate,
                            int occurrenceCount,
                            java.lang.Integer recurrenceInterval,
                            IntervalUnit recurrenceIntervalUnit)

Method Detail

### getOccurrenceCount

    public int getOccurrenceCount()

  Gets the occurrenceCount value for this JobSimpleTrigger.

  Returns:
    occurrenceCount

### setOccurrenceCount

    public void setOccurrenceCount(int occurrenceCount)

  Sets the occurrenceCount value for this JobSimpleTrigger.

  Parameters:
    `occurrenceCount` -

### getRecurrenceInterval

    public java.lang.Integer getRecurrenceInterval()

  Gets the recurrenceInterval value for this JobSimpleTrigger.

  Returns:
    recurrenceInterval

### setRecurrenceInterval

    public void setRecurrenceInterval(java.lang.Integer recurrenceInterval)

  Sets the recurrenceInterval value for this JobSimpleTrigger.

  Parameters:
    `recurrenceInterval` -

### getRecurrenceIntervalUnit

    public IntervalUnit getRecurrenceIntervalUnit()

  Gets the recurrenceIntervalUnit value for this JobSimpleTrigger.

  Returns:
    recurrenceIntervalUnit

### setRecurrenceIntervalUnit

    public void setRecurrenceIntervalUnit(IntervalUnit recurrenceIntervalUnit)

  Sets the recurrenceIntervalUnit value for this JobSimpleTrigger.

  Parameters:
    `recurrenceIntervalUnit` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `JobTrigger`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `JobTrigger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.